Jump to content
Not connected, Your IP: 18.234.255.5
Staff

Eddie Desktop 2.19beta released

Recommended Posts

At present on my Windows 10 PC I am running the 2.18.9 version of AirVPN with the OpenVPN 2.5 git 1607 version and the Wintun TAP Windows 9.24.2 adapter and all is well in fact better than well as the Wintun adapter has more than doubled my download speed. Ever since beginning with AirVPN around 5-6 yrs ago I like to keep up to date and have always installed the experimental versions after checking that they worked fine for other players. I see that there is a v 2.19.2 version of AirVPN available and also an Open VPN gui update to v11.15.0.0  Previously when updating AirVPN I just downloaded it from the experimental option here and did a clean install and the TAP adapter usually installed after a restart of my OS, but as I had to install the OpenVPN v 2.5 in order to use the Wintun adapter for v2.18.9 do I need to follow a different procedure or should I just instal v2.19.2 as I have previously done as I don't want to risk losing my upgraded download speed?.

Share this post


Link to post
@bluesjunior

According to your report you can safely stay with Eddie 2.18.9. Since  you are just fine with 2.18.9 you have no real incentive to start beta testing
as there is no performance improvement with 2.19.2.

Check anyway the bug fixes on the changelog. Should one of those bugs become a problem for you at any time, then you should consider to upgrade.

Kind regards
 

Share this post


Link to post

I have an odd problem running 2.19.2 with Wintun on Windows 10.  When I cold boot my PC the Eddie Elevation Service doesn't start, so the client hangs at the splash screen with the message about connecting to the service.  If I try to start the service manually from services.msc then the Windows error message pops up about the service "...started and then stopped.  Some services stop automatically if they are not in use by other services or programs".  Everything else works ok, and there are no suspicious event log messages.

The weird part is that if I restart rather than cold boot, everything is fine.  Any ideas before I revert back to 2.18?

Share this post


Link to post
2 hours ago, X7iGmXYQBrnz said:

Any ideas before I revert back to 2.18?


Someone, somewhere on the forums suggested to disable Fast Startup.

» I am not an AirVPN team member. All opinions are my own and are not to be considered official. Only the AirVPN Staff account should be viewed as such.

» The forums is a place where you can ask questions to the community. You are not entitled to guaranteed answer times. Answer quality may vary, too. If you need professional support, please create tickets.

» If you're new, take some time to read LZ1's New User Guide to AirVPN. On questions, use the search function first. On errors, search for the error message instead.

» If you choose to create a new thread, keep in mind that we don't know your setup. Give info about it. Never forget the OpenVPN logs or, for Eddie, the support file (Logs > lifebelt icon).

» The community kindly asks you to not set up Tor exit relays when connected to AirVPN. Their IP addresses are subject to restrictions and these are relayed to all users of the affected servers.

 

» Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, chances are you will be unique amond the mass again.

Share this post


Link to post

I updated to 2.18.9 from the latest stable version with which i never had a problem. I'm on Win 10.
As soon as i started the new version it stuck on Ipv6 check, so i switched on WAN Ipv6 on the Access Data/Internet Connection on my router which i assume helps with Ipv6 stuff (never had to worry about this setting before). That surprisingly solved the problem.
Then i switched off the pc and i switched it on again today. Oddly i found myself connected to a vpn server without actually starting Eddie. (i realized that looking up at my ip)
I noticed there was Eddie-Service-Elevated.exe in execution in Activity Manager, which i don't know what is for, i also noticed OpenVpn Daemon was in execution; so i ran Eddie Ui from the desktop link and the splash screen stucked, i terminated the application and tried again, and this time it showed the Unable to obtain elevated privileges, Unable to start warning window.
So i disabled Fast StartUp and deleted the AppData\Local\Eddie\default.profile file as suggested, downloaded the latest version 2.19.2 because i saw in the changelog this [bugfix] - Special condition elevation checks (may resolve "Unable to start (no-socket)" issues). , i ran it and it seems to work fine for now.
Any idea what happened?

Share this post


Link to post
@Staff

A feature suggestion, it would be nice to be able to see what datacenter/provider a server is hosted in on the server list.

Share this post


Link to post

One minor change please - can the tooltip on the systray icon show the connection status ("Connecting to...") like previous versions, rather than the UL/DL speed.  It saves me opening the GUI while I wait impatiently for it to connect at startup.

Share this post


Link to post

on linux mint 19.3 cinnamon, i had no issues installing and running this version. however, the issue i reported here, still persists. i then reinstalled version 2.18.9, and after manually launching it, the latency tests ran fine. i then rebooted my machine, and there the problem was again. so, it seems that the problem only occurs when eddie is set to launch and connect automatically after booting.
edit: in the log, the test with the beta-version starts at 13:02 o'clock.

eddie_2020-06-13.log

Share this post


Link to post

Version 2.19.3 (Tue, 16 Jun 2020 14:36:31 +0000)

  • [bugfix] Windows NSIS, vc_redist.exe, from '/q' to '/install /passive /norestart'.
  • [bugfix] Windows, System Report rare hang if IPv6 not available
  • [bugfix] macOS, CLI edition error at boot in Portable Mono
  • [bugfix] macOS, Notarization of packages
  • [bugfix] macOS; "Unable to obtain elevated privileges (required): Object reference not set to an instance of an object"
  • [bugfix] Linux, modprobe issue with zstd
  • [new] Linux, new aarch64 build (for Raspberry OS 64 bit beta)
  • [new] macOS, CLI portable without Mono
  • [change] Bundled with latest OpenVPN, Hummingbird, stunnel
  • [change] Minor UI fixes, font size in some linux distro, path normalization etc.

Other feedback is under investigation, please have patience. Thx.

Arch Linux package will be available as soon as possible.
Direct APT repository for new aarch64 doesn't work yet, issue will be fixed as soon as possible.

Share this post


Link to post

I just tried 2.19.3 (Catalina Version) on macOS 10.15.5 - it failed to open, only message I got was "Eddie is broken"
I'm back on 2.19.2 which runs

Share this post


Link to post

The Catalina 2.19.3 update was trouble free here (just got a new Mac mini w/10.15.5 last Thursday). Connected to Groombridge as I type and its smooth sailing!

Share this post


Link to post
Posted ... (edited)

@Staff
Can't download Eddie 2.19.3 for MacOS. Please fix this.
Thanks

Edit:
Problem solved. Nevermind.

Edited ... by Silversoul247
Problem solved

Share this post


Link to post
On 6/25/2020 at 12:02 AM, Silversoul247 said:

@Staff
Can't download Eddie 2.19.3 for MacOS. Please fix this.
Thanks

Edit:
Problem solved. Nevermind.


Hi, how did you solve it? If I hit "Download" (MacOS) nothing happens or it just loads a html file.

Share this post


Link to post
4 hours ago, korsko said:

Hi, how did you solve it? If I hit "Download" (MacOS) nothing happens or it just loads a html file.
Hello.
After you select experimental you have to choose between macOS Catalina or macOS pre-Catalina. Please take a look at the attached photo.
Regards
2004468008_Eddie2-19-3MacOS.thumb.jpg.8f83418cb41b8b022af034fdbc24c68b.jpg

Share this post


Link to post
28 minutes ago, Silversoul247 said:
Hello.
After you select experimental you have to choose between macOS Catalina or macOS pre-Catalina. Please take a look at the attached photo.
Regards
2004468008_Eddie2-19-3MacOS.thumb.jpg.8f83418cb41b8b022af034fdbc24c68b.jpg

Thanks a lot!!!

Share this post


Link to post

Hi,

I'm running Eddie 2.19.3 beta on Windows 10 64 bit. All seems to be good, except after some amount of time the speed display becomes frozen in both the Overview display panel and the Speed display panel. Restarting Eddie makes it work again, but it always freezes later. Apart from the frozen speed display, Eddie seems to run fine. This was also happening in 2.19.2. I can supply logs if needed.

Share this post


Link to post
On 6/23/2020 at 5:14 PM, Maggie144 said:

I just tried 2.19.3 (Catalina Version) on macOS 10.15.5 - it failed to open, only message I got was "Eddie is broken"
I'm back on 2.19.2 which runs


Can you provide the exact message error?

During development, sometimes we encounter a mystic "error -47", but it can't be related to Eddie because it disappears with a reboot. Still under investigation.
 

On 6/25/2020 at 12:02 AM, Silversoul247 said:

@Staff
Can't download Eddie 2.19.3 for MacOS. Please fix this.
Thanks

Edit:
Problem solved. Nevermind.


Same as above, when you reboot does the issue disappear? Thx

Share this post


Link to post
On 6/27/2020 at 12:57 AM, boblinthewild said:

Hi,

I'm running Eddie 2.19.3 beta on Windows 10 64 bit. All seems to be good, except after some amount of time the speed display becomes frozen in both the Overview display panel and the Speed display panel. Restarting Eddie makes it work again, but it always freezes later. Apart from the frozen speed display, Eddie seems to run fine. This was also happening in 2.19.2. I can supply logs if needed.

Yes thanks, if it is reproducible, enable in Preferences -> Logs both 'Log Debug' and 'Log on File'. Here or open a ticket if you prefer, thanks.

Share this post


Link to post
On 5/28/2020 at 8:54 PM, X7iGmXYQBrnz said:

One minor change please - can the tooltip on the systray icon show the connection status ("Connecting to...") like previous versions, rather than the UL/DL speed.  It saves me opening the GUI while I wait impatiently for it to connect at startup.

This was an already resolved bug, does it still occur in 2.19.3?

Share this post


Link to post
On 7/1/2020 at 4:52 PM, Clodo said:


Can you provide the exact message error?

During development, sometimes we encounter a mystic "error -47", but it can't be related to Eddie because it disappears with a reboot. Still under investigation.
 


Same as above, when you reboot does the issue disappear? Thx
It is just a small window that pops up with one option - to klick "ok". All it says is ""Eddie" is broken and can not be opened - downloaded with Brave at hh:mm"
 

Share this post


Link to post

Hello,
download of windows portable version for 2.19.3 is not available.
Will you release it soon or you will relase directly the 2.19.4 version?
 

Share this post


Link to post

Version 2.19.4 (Mon, 06 Jul 2020 13:17:19 +0000)

  • [bugfix] Linux, Font/UI issue in some distribution (Manjaro)
  • [bugfix] Linux, modprobe issue with zstd
  • [change] If Netlock fails to activate, stop autoconnect.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Security Check
    Play CAPTCHA Audio
    Refresh Image

×
×
  • Create New...